MongoCursorException
MongoConnectionException
Exceptions
PHP Manual

# The MongoCursorTimeoutException class

## Introduction

Caused by a query timing out. At the moment, the only way a query will not wait indefinitely for a database response is if MongoCursor::timeout() is called on the cursor.

## Class synopsis

MongoCursorTimeoutException
extends MongoCursorException {
}

MongoCursorException
MongoConnectionException
Exceptions
PHP Manual